## shibboleth-sp2 2.5.2%2Bdfsg

=== debian/changelog ===
shibboleth-sp2 (2.5.2+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Russ Allbery <rra@debian.org>  Sun, 14 Jul 2013 11:27:40 -0700

shibboleth-sp2 (2.5.2+dfsg-1) experimental; urgency=low

  * New upstream release.
    - New shib-session and shib-user Require authentication types added,
      which should be used in preference to Require valid-user or Require
      user with Shibboleth authentication is desired.
    - New ShibCompatValidUser Apache directive, which works around the way
      that Shibboleth hooks into Require valid-user and Require user so
      that those directives will continue to work with non-Shibboleth
      authentication types.  This directive will be needed for servers
      that use Shibboleth and other authentication methods and want to use
      Require valid-user or Require user with non-Shibboleth methods.
    - Fix implementation of shib-metagen -l.
    - Fix AttributeExtractor handling of multiple logos.
    - Fix metadata attribute extraction with non-ASCII characters.
    - Fix problems with Apache subrequests during server-side include
      handling of unprotected pages.
    - Add character set to DiscoFeed page header.
    - Avoid leaking shibd sockets to child processes.
  * Add NEWS entry for the authentication directive changes.
  * Update README.Debian instructions to add AuthType None to the URLs
    that have to be available to everyone and to use Require shib-session
    instead of Require valid-user.
  * Create /var/cache/shibboleth on install and remove it on purge.
  * Link the FastCGI programs with libxmltooling-lite since they call one
    of its interfaces directly.  (This shows up as a build failure
    otherwise due to the Debian build rules use of --as-needed.)

 -- Russ Allbery <rra@debian.org>  Tue, 18 Jun 2013 16:42:34 -0700

shibboleth-sp2 (2.5.1+dfsg-1) experimental; urgency=low

  * New upstream release.  (Closes: #685069)
    - Support for Apache 2.4.  Please note there are some configuration
      incompabilities between Apache 2.4 and Apache 2.2.  See the upstream
      documentation at
      https://wiki.shibboleth.net/confluence/display/SHIB2/NativeSPApacheConfig
      for more information.  (Closes: #666804)
    - Disable the PKCS 1.5 algorithm for SAML assertion encryption by
      default for security reasons.  This can be re-enabled if necessary
      in the security-policy.xml configuration file.
    - The protocol between the Apache module and shibd has changed.  shibd
      will be restarted during upgrades, but if the module is configured
      to talk to a remote shibd over TCP, both the module and shibd must
      be upgraded at the same time.
    - Settings to limit redirections have been renamed from
      relayStateLimit and relayStateWhitelist to redirectLimit and
      redirectWhitelist respectively and the old names are deprecated (but
      still supported).
    - cookieProps has been simplified and warnings introduced if SSL
      restrictions are not enabled.
    - The <AttributeExtractor> element that loads the attribute-map.xml
      file now defaults to reloadChanges="false".  Restarting the SP when
      this file changes is recommended for security reasons.
    - Logging properties have been removed from the default configuration
      file and the absence of properties now indicates use of the default
      logging configuration files (shibd.logger and native.logger).
    - The native.log file is now created as root before Apache child
      initialization to minimize permission issues.
    - Files that persist across server restarts have been moved to
      /var/cache/shibboleth.
    - The example style sheet for error templates has been moved to a
      version-independent location in /usr/share/shibboleth.  A logo file
      is no longer included in the package to avoid accidental use of the
      Shibboleth logo on production sites.  If your existing error
      templates reference these files, you should correct this by copying
      files that you need to locations that you control.
    - The module should now be referenced as mod_shib.cpp in conditionals
      that want to reference a source file name.
    - Clients that bounce between IPv4 and IPv6 addresses should now be
      handled more smoothly.
    - SP initialization now fails if an external session cache is
      configured but cannot be opened.
  * Update libapache2-mod-shib2's README.Debian:
    - Use the Apache 2.4 authorization syntax.
    - Mention possibly having to grant access to /Shibboleth.sso.
    - The module is now enabled by default but still needs configuration.
    - Update the upstream configuration documentation URL.
    - The reason for switching native.logger to syslog is now obsolete
      (but the package still does that, possibly to be reconsidered
      later).
  * Remove the (undefined) warn_log destination from the default
    native.logger configuration file, restoring consistency with the
    Debian modification to log to syslog.  Since all native logs go to
    syslog, there's no need to have differentiated log destinations based
    on threshold.  The previous version of the file referenced a
    commented-out warn_log destination, which caused errors to be spammed
    to syslog.
  * Build with GSS-API support.
  * Build and install FastCGI programs in /usr/lib/<triplet>/shibboleth.
    For right now, these are still included in libapache2-mod-shib2, which
    makes them substantially less useful than they would be in their own
    package.  Further work is required to allow the FastCGI programs plus
    shibd to be installed independent of the Apache module.
  * Add build dependency on libboost-dev.
  * Use log4shib instead of log4cpp.
  * Force build dependencies and package dependencies on xml-security-c
    1.7 or later, xmltooling 1.5 or later, and opensaml2 2.5 or later to
    ensure everything is consistent.
  * Remove explicit build dependency on libtool.  This is now handled by

