=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders: Russ Allbery <rra@debian.org>, Ferenc Wagner <wferi@niif.hu>,
  Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 9), apache2-threaded-dev, dh-autoreconf,
- doxygen, graphviz, liblog4cpp5-dev, libmemcached-dev (>= 1.0),
- libsaml2-dev (>= 2.4), libssl-dev, libtool, libxerces-c-dev,
- libxml-security-c-dev (>= 1.6), libxmltooling-dev (>= 1.4),
- opensaml2-schemas, pkg-config, unixodbc-dev, xmltooling-schemas
-Standards-Version: 3.9.2
-Homepage: http://shibboleth.internet2.edu/
-Vcs-Git: git://git.debian.org/git/pkg-shibboleth/shibboleth-sp2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-shibboleth/shibboleth-sp2.git
+Build-Depends: debhelper (>= 9), apache2-threaded-dev,
+ dh-autoreconf, doxygen, graphviz, libboost-dev, libfcgi-dev, libkrb5-dev,
+ liblog4shib-dev, libmemcached-dev (>= 1.0), libsaml2-dev (>= 2.5),
+ libssl-dev, libxerces-c-dev, libxml-security-c-dev (>= 1.7),
+ libxmltooling-dev (>= 1.5), opensaml2-schemas, pkg-config, unixodbc-dev,
+ xmltooling-schemas
+Standards-Version: 3.9.4
+Homepage: http://shibboleth.net/
+Vcs-Git: git://anonscm.debian.org/pkg-shibboleth/shibboleth-sp2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shibboleth/shibboleth-sp2.git
 
 Package: libapache2-mod-shib2
 Section: httpd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Recommends: apache2, openssl
-Conflicts: libapache2-mod-shib
 Description: Federated web single sign-on system (Apache module)
  The Shibboleth System is a standards based software package for web
  single sign-on across or within organizational boundaries.  It supports
@@ -32,13 +32,13 @@
  (web servers providing resources protected by Shibboleth) and the
  supporting shibd daemon.
 
-Package: libshibsp5
+Package: libshibsp6
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, opensaml2-schemas (>= 2.4),
- shibboleth-sp2-schemas (>= 2.4), xmltooling-schemas (>= 1.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, opensaml2-schemas (>= 2.5),
+ shibboleth-sp2-schemas (>= 2.5), xmltooling-schemas (>= 1.5)
 Description: Federated web single sign-on system (runtime)
  The Shibboleth System is a standards based software package for web
  single sign-on across or within organizational boundaries.  It supports
@@ -52,9 +52,10 @@
 Package: libshibsp-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libshibsp5 (= ${binary:Version}),
- libsaml2-dev (>= 2.4), libxerces-c-dev, libxmltooling-dev (>= 1.4)
-Suggests: libshib2-doc (= ${source:Version})
+Multi-Arch: same
+Depends: ${misc:Depends}, libshibsp6 (= ${binary:Version}),
+ libsaml2-dev (>= 2.5), libxerces-c-dev, libxmltooling-dev (>= 1.5)
+Suggests: libshibsp-doc
 Description: Federated web single sign-on system (development)
  The Shibboleth System is a standards based software package for web
  single sign-on across or within organizational boundaries.  It supports
@@ -69,6 +70,7 @@
 Package: libshibsp-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, libjs-jquery
 Description: Federated web single sign-on system (API docs)
  The Shibboleth System is a standards based software package for web
@@ -83,8 +85,8 @@
 Package: shibboleth-sp2-schemas
 Section: text
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Conflicts: libapache2-mod-shib
 Description: Federated web single sign-on system (schemas)
  The Shibboleth System is a standards based software package for web
  single sign-on across or within organizational boundaries.  It supports
