=== debian/rules ===
--- 
+++ 
@@ -28,26 +28,28 @@
 	wget $(URL)/$(VERSION)/shibboleth-sp-$(VERSION).tar.gz
 	tar xfz shibboleth-sp-$(VERSION).tar.gz
 	rm shibboleth-sp-$(VERSION).tar.gz
-	rm shibboleth-$(VERSION)/schemas/WS-Trust.xsd
-	mv shibboleth-$(VERSION) shibboleth-sp2_$(DEBVERS).orig
+	rm shibboleth-sp-$(VERSION)/schemas/WS-Trust.xsd
+	mv shibboleth-sp-$(VERSION) shibboleth-sp2_$(DEBVERS).orig
 	tar cf shibboleth-sp2_$(DEBVERS).orig.tar \
 	    shibboleth-sp2_$(DEBVERS).orig
 	rm -rf shibboleth-sp2_$(DEBVERS).orig
-	gzip -9 shibboleth-sp2_$(DEBVERS).orig.tar
+	xz shibboleth-sp2_$(DEBVERS).orig.tar
+
+%:
+	dh $@ --with autoreconf
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-	    --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/shibboleth \
-	    --localstatedir=/var --enable-apache-22 \
-	    --with-apxs2=/usr/bin/apxs2 --disable-dependency-tracking \
-	    --with-memcached $(SYSTEM)
+	dh_auto_configure --						\
+	    --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/shibboleth	\
+	    --localstatedir=/var --enable-apache-22			\
+	    --with-apxs2=/usr/bin/apxs2 --disable-dependency-tracking	\
+	    --with-memcached --with-fastcgi --with-gssapi $(SYSTEM)
 
 override_dh_auto_install:
 	NOKEYGEN=1 dh_auto_install
-	rm debian/tmp/usr/lib/*/shibboleth/*.la
 	rm -r debian/tmp/usr/share/doc/shibboleth*
 	rm -r debian/tmp/var/run
 	rm debian/tmp/etc/shibboleth/*.dist
@@ -81,6 +83,9 @@
 	    debian/libapache2-mod-shib2/usr/share/man/man8/shibd.8
 	dh_install -s -i --fail-missing
 
+override_dh_installchangelogs:
+	dh_installchangelogs doc/RELEASE.txt
+
 override_dh_installdocs:
 	dh_installdocs -A doc/NOTICE.txt
 	set -e; if [ -d "$(DOCS)" ] ; then \
@@ -93,8 +98,7 @@
 	dh_installinit --name=shibd -- start 20 2 3 4 5 .
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V'libshibsp5 (>= 2.4.3+dfsg-4~)' \
-	    -Xusr/lib/$(DEB_HOST_MULTIARCH)/shibboleth
+	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/shibboleth
 
-%:
-	dh $@ --with autoreconf
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
