## shibboleth-sp2 2.5.3+dfsg

=== debian/changelog ===
shibboleth-sp2 (2.5.3+dfsg-2~bpo70+1) wheezy-backports; urgency=high

  [ Ferenc Wagner ]
  * Incorporate security fix from V2.5.4 for CVE-2015-2684: authenticated
    denial of service vulnerability that results in a crash on certain
    kinds of malformed SAML messages.

  [ Russ Allbery ]
  * Move enabling of the Apache module from the postinst script of
    shibboleth-sp2-utils to libapache2-mod-shib2, which is only used with
    Apache, and add a dependency on apache2.2-common.

 -- Ferenc Wagner <wferi@niif.hu>  Wed, 25 Mar 2015 14:43:45 +0100

shibboleth-sp2 (2.5.3+dfsg-1~bpo70+2) wheezy-backports; urgency=medium

  * shibboleth-sp2-utils: check before enabling Apache module
    (Closes: #758600)

 -- Luca Bruno <lucab@debian.org>  Fri, 14 Nov 2014 12:42:46 +0100

shibboleth-sp2 (2.5.3+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Backport to wheezy.
  * Revert the changes to build against Apache 2.4 and use dh_apache2, but
    keep the change to enable the module by default on new installs.

 -- Russ Allbery <rra@debian.org>  Thu, 10 Jul 2014 22:36:01 -0700

shibboleth-sp2 (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix server-side includes and directory indexes with Basic
      authentication when the Shibboleth module is loaded.
    - Fix preserved POST data size limit enforcement.
    - Fix POST data replay if a submit key is present.
    - Fix support for idpHistoryProps in Sessions.
  * Split libshibsp-plugins, shibboleth-sp2-common, and
    shibboleth-sp2-utils packages off of libapache2-mod-shib2, and merge
    shibboleth-sp2-schemas with shibboleth-sp2-common.
    shibboleth-sp2-schemas becomes a transitional package.
    shibboleth-sp2-common contains the configuration, which is also
    required by the shared library.  shibboleth-sp2-utils contains the
    shibd daemon plus the other utility commands that were in
    libapache2-mod-shib2.  libshibsp-plugins contains the library plugins
    (which eventually should be installed in a per-SONAME path and then be
    merged back with the library package).  (Closes: #740603)
  * Move /usr/include/shibsp/paths.h to the architecture-specific include
    directory, since it varies by architecture.  Thanks, Andreas
    Beckmann.  (Closes: #720036)
  * Disable the forcing of --silent mode in Libtool since Debian build log
    analysis wants verbose logs.
  * Stop symlinking the minimized jQuery installed by Doxygen and remove
    the dependency on libjs-jquery.  The Doxygen maintainers recommend
    against this approach since this file is apparently not just a
    straight copy of jQuery.
  * Remove the now-unnecessary dh_builddeb override to use xz compression.
  * Remove unnecessary dh_installinit parameters.  update-rc.d now uses
    LSB headers exclusively and no longer pays attention to any runlevel
    information on the command line.
  * Convert all Debian patches to separate patch files managed via gbp pq.
  * Update standards version to 3.9.5 (no changes required).

 -- Russ Allbery <rra@debian.org>  Mon, 31 Mar 2014 20:33:42 -0700
