=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libssl-dev, libxerces-c-dev, libxml-security-c-dev (>= 1.7),
  libxmltooling-dev (>= 1.5), opensaml2-schemas, pkg-config, unixodbc-dev,
  xmltooling-schemas
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://shibboleth.net/
 Vcs-Git: git://anonscm.debian.org/pkg-shibboleth/shibboleth-sp2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shibboleth/shibboleth-sp2.git
@@ -18,8 +18,9 @@
 Package: libapache2-mod-shib2
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
-Recommends: apache2, openssl
+Depends: ${shlibs:Depends}, ${misc:Depends}, apache2.2-common,
+ libshibsp-plugins (= ${binary:Version}), shibboleth-sp2-utils (>= 2.5)
+Recommends: apache2
 Description: Federated web single sign-on system (Apache module)
  The Shibboleth System is a standards based software package for web
  single sign-on across or within organizational boundaries.  It supports
@@ -38,7 +39,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, opensaml2-schemas (>= 2.5),
- shibboleth-sp2-schemas (>= 2.5), xmltooling-schemas (>= 1.5)
+ shibboleth-sp2-common (>= 2.5), xmltooling-schemas (>= 1.5)
 Description: Federated web single sign-on system (runtime)
  The Shibboleth System is a standards based software package for web
  single sign-on across or within organizational boundaries.  It supports
@@ -48,6 +49,23 @@
  establish their identities with their local authentication systems.
  .
  This package contains the Shibboleth SP runtime library.
+
+Package: libshibsp-plugins
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libapache2-mod-shib2 (<< 2.5.3+dfsg)
+Replaces: libapache2-mod-shib2 (<< 2.5.3+dfsg)
+Description: Federated web single sign-on system (plugins)
+ The Shibboleth System is a standards based software package for web
+ single sign-on across or within organizational boundaries.  It supports
+ authorization and attribute exchange using the OASIS SAML 2.0 protocol.
+ Shibboleth allows sites to make informed authorization decisions for
+ individual access of protected online resources while allowing users to
+ establish their identities with their local authentication systems.
+ .
+ This package contains plugins for the Shibboleth SP library.
 
 Package: libshibsp-dev
 Section: libdevel
@@ -71,7 +89,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}
 Description: Federated web single sign-on system (API docs)
  The Shibboleth System is a standards based software package for web
  single sign-on across or within organizational boundaries.  It supports
@@ -82,12 +100,16 @@
  .
  This package contains the Shibboleth SP library API documentation.
 
-Package: shibboleth-sp2-schemas
-Section: text
+Package: shibboleth-sp2-common
+Section: libs
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: Federated web single sign-on system (schemas)
+Breaks: libapache2-mod-shib2 (<< 2.5.3+dfsg),
+ shibboleth-sp2-schemas (<< 2.5.3+dfsg)
+Replaces: libapache2-mod-shib2 (<< 2.5.3+dfsg),
+ shibboleth-sp2-schemas (<< 2.5.3+dfsg)
+Description: Federated web single sign-on system (common files)
  The Shibboleth System is a standards based software package for web
  single sign-on across or within organizational boundaries.  It supports
  authorization and attribute exchange using the OASIS SAML 2.0 protocol.
@@ -95,4 +117,44 @@
  individual access of protected online resources while allowing users to
  establish their identities with their local authentication systems.
  .
- This package contains the additional schemas used by the Shibboleth SP.
+ This package contains common files used by the Shibboleth SP library,
+ Apache module, and daemon, primarily configuration files and schemas.
+
+Package: shibboleth-sp2-schemas
+Section: oldlibs
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, shibboleth-sp2-common
+Description: Federated web single sign-on system (transitional package)
+ This is a transitional package to smooth upgrades from earlier Shibboleth
+ versions.  The schemas are now provided by shibboleth-sp2-common.  This
+ package can be removed once the upgrade is complete.
+ .
+ The Shibboleth System is a standards based software package for web
+ single sign-on across or within organizational boundaries.  It supports
+ authorization and attribute exchange using the OASIS SAML 2.0 protocol.
+ Shibboleth allows sites to make informed authorization decisions for
+ individual access of protected online resources while allowing users to
+ establish their identities with their local authentication systems.
+
+Package: shibboleth-sp2-utils
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser,
+ libshibsp-plugins (= ${binary:Version})
+Recommends: openssl
+Breaks: libapache2-mod-shib2 (<< 2.5.3+dfsg)
+Replaces: libapache2-mod-shib2 (<< 2.5.3+dfsg)
+Description: Federated web single sign-on system (daemon and utilities)
+ The Shibboleth System is a standards based software package for web
+ single sign-on across or within organizational boundaries.  It supports
+ authorization and attribute exchange using the OASIS SAML 2.0 protocol.
+ Shibboleth allows sites to make informed authorization decisions for
+ individual access of protected online resources while allowing users to
+ establish their identities with their local authentication systems.
+ .
+ This package contains the daemon that handles attribute requests and
+ maintains session informtion for the SP.  It is used internally by the
+ Apache module (libapache2-mod-shib2), but may be useful independently in
+ some circumstances.  It also contains some other useful Shibboleth SP
+ utility programs and the FastCGI authorizer and responder.
