=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,10 @@
 	    --with-apxs2=/usr/bin/apxs2 --disable-dependency-tracking	\
 	    --with-memcached --with-fastcgi --with-gssapi $(SYSTEM)
 
+# Move supporting scripts from the configuration directory into /usr/sbin
+# and remove various configuration files that aren't of interest on Debian.
+# Also move the one architecture-dependent header file into an
+# architecture-specific directory.
 override_dh_auto_install:
 	NOKEYGEN=1 dh_auto_install
 	rm -r debian/tmp/usr/share/doc/shibboleth*
@@ -61,44 +65,39 @@
 	mv debian/tmp/etc/shibboleth/keygen.sh debian/tmp/usr/sbin/shib-keygen
 	mv debian/tmp/etc/shibboleth/metagen.sh debian/tmp/usr/bin/shib-metagen
 	mv debian/tmp/etc/shibboleth/shibd-debian \
-	    debian/libapache2-mod-shib2.shibd.init
+	    debian/shibboleth-sp2-utils.shibd.init
+	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/shibsp
+	mv debian/tmp/usr/include/shibsp/paths.h \
+	    debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/shibsp/
 
 override_dh_install:
 	mv debian/tmp/usr/lib/*/shibboleth/mod_shib_22.so \
 	    debian/libapache2-mod-shib2/usr/lib/apache2/modules
-	pod2man debian/man-pages/mdquery.pod --section 1 \
-	    --center 'Shibboleth' --release $(VERSION) \
-	    debian/libapache2-mod-shib2/usr/share/man/man1/mdquery.1
-	pod2man debian/man-pages/resolvertest.pod --section 1 \
-	    --center 'Shibboleth' --release $(VERSION) \
-	    debian/libapache2-mod-shib2/usr/share/man/man1/resolvertest.1
-	pod2man debian/man-pages/shib-metagen.pod --section 1 \
-	    --center 'Shibboleth' --release $(VERSION) \
-	    debian/libapache2-mod-shib2/usr/share/man/man1/shib-metagen.1
-	pod2man debian/man-pages/shib-keygen.pod --section 8 \
-	    --center 'Shibboleth' --release $(VERSION) \
-	    debian/libapache2-mod-shib2/usr/share/man/man8/shib-keygen.8
-	pod2man debian/man-pages/shibd.pod --section 8 \
-	    --center 'Shibboleth' --release $(VERSION) \
-	    debian/libapache2-mod-shib2/usr/share/man/man8/shibd.8
-	dh_install -s -i --fail-missing
+	pod2man debian/man-pages/mdquery.pod --section 1		\
+	    --center 'Shibboleth' --release $(VERSION)			\
+	    debian/shibboleth-sp2-utils/usr/share/man/man1/mdquery.1
+	pod2man debian/man-pages/resolvertest.pod --section 1		  \
+	    --center 'Shibboleth' --release $(VERSION)			  \
+	    debian/shibboleth-sp2-utils/usr/share/man/man1/resolvertest.1
+	pod2man debian/man-pages/shib-metagen.pod --section 1		  \
+	    --center 'Shibboleth' --release $(VERSION)			  \
+	    debian/shibboleth-sp2-utils/usr/share/man/man1/shib-metagen.1
+	pod2man debian/man-pages/shib-keygen.pod --section 8		 \
+	    --center 'Shibboleth' --release $(VERSION)			 \
+	    debian/shibboleth-sp2-utils/usr/share/man/man8/shib-keygen.8
+	pod2man debian/man-pages/shibd.pod --section 8			\
+	    --center 'Shibboleth' --release $(VERSION)			\
+	    debian/shibboleth-sp2-utils/usr/share/man/man8/shibd.8
+	dh_install -s -i -X mod_shib2.so --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/RELEASE.txt
 
 override_dh_installdocs:
 	dh_installdocs -A doc/NOTICE.txt
-	set -e; if [ -d "$(DOCS)" ] ; then \
-	    rm $(DOCS)/html/jquery.js ; \
-	    ln -s /usr/share/javascript/jquery/jquery.min.js \
-		$(DOCS)/html/jquery.js ; \
-	fi
 
 override_dh_installinit:
-	dh_installinit --name=shibd -- start 20 2 3 4 5 .
+	dh_installinit --name=shibd
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/shibboleth
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
